Skip to content

Set Default Profile

PUT
/api/v1/content-profiles/{profile_id}/set-default

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

profile_id*
Type
string
Required
Format
"uuid"

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"organization_id": "string",
  
"name": "string",
  
"is_default": true,
  
"ai_provider": "string",
  
"ai_model": "string",
  
"language": "string",
  
"tone": "string",
  
"custom_instructions": "string",
  
"max_short_chars": 0,
  
"max_long_chars": 0,
  
"use_html": true,
  
"use_html_short": true,
  
"generate_short": true,
  
"generate_long": true,
  
"translate_name": true,
  
"image_analysis_enabled": true,
  
"image_analysis_count": 0,
  
"structured_data_enabled": true,
  
"generate_bullet_points": true,
  
"generate_attributes": true,
  
"generate_tags": true,
  
"created_at": "string",
  
"updated_at": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

XC AI Content Automation